Groovy Documentation

## org.codehaus.groovy.grails.orm.hibernate.metaclass
[Java] Class ValidatePersistentMethod

    java.lang.Object
      org.codehaus.groovy.grails.commons.metaclass.AbstractDynamicMethodInvocation
          org.codehaus.groovy.grails.orm.hibernate.metaclass.AbstractDynamicPersistentMethod
              org.codehaus.groovy.grails.orm.hibernate.metaclass.ValidatePersistentMethod

    public class ValidatePersistentMethod
    extends AbstractDynamicPersistentMethod

Validates an instance of a domain class against its constraints.

Authors:
  Graeme Rocher

Since:
  07-Nov-2005

Field Summary
`static java.lang.String` | `ARGUMENT_DEEP_VALIDATE`
`static java.util.regex.Pattern` | `METHOD_PATTERN`
`static java.lang.String` | `METHOD_SIGNATURE`

Fields inherited from class AbstractDynamicPersistentMethod
ERRORS_PROPERTY

Constructor Summary
`ValidatePersistentMethod(SessionFactory sessionFactory, java.lang.ClassLoader classLoader, GrailsApplication application)`
`ValidatePersistentMethod(SessionFactory sessionFactory, java.lang.ClassLoader classLoader, GrailsApplication application, Validator validator)`

Method Summary
`protected java.lang.Object` | `doInvokeInternal(java.lang.Object target, Object[] arguments)`

Methods inherited from class AbstractDynamicPersistentMethod
doInvokeInternal, getHibernateTemplate, invoke, setObjectToReadOnly, setObjectToReadWrite, setupErrorsProperty

Methods inherited from class AbstractDynamicMethodInvocation
getPattern, invoke, isMethodMatch, setPattern

Field Detail

### ARGUMENT_DEEP_VALIDATE

    public static final java.lang.String ARGUMENT_DEEP_VALIDATE

### METHOD_PATTERN

    public static final java.util.regex.Pattern METHOD_PATTERN

### METHOD_SIGNATURE

    public static final java.lang.String METHOD_SIGNATURE

Constructor Detail

### ValidatePersistentMethod

    public ValidatePersistentMethod(SessionFactory sessionFactory, java.lang.ClassLoader classLoader, GrailsApplication application)

### ValidatePersistentMethod

    public ValidatePersistentMethod(SessionFactory sessionFactory, java.lang.ClassLoader classLoader, GrailsApplication application, Validator validator)

Method Detail

### doInvokeInternal

    @Override
    @SuppressWarnings({"unchecked","rawtypes"})
    protected java.lang.Object doInvokeInternal(java.lang.Object target, Object[] arguments)

Groovy Documentation